Retrieves channel info
GEThttps://apis.<domain>/iot/channels/:chanId
Retrieves channel info.
Authorization Action:
core:channels:get
Request
Path Parameters
chanId uuidrequired
Unique channel identifier.
Responses
- 200
- 400
- 401
- 404
- 422
- 500
Data retrieved.
- application/json
- Schema
- Example (auto)
Schema
idstringrequired
Unique channel identifier generated by the service.
namestring
Free-form channel name.
metadataobject
Arbitrary, object-encoded channel's data.
{
"id": "string",
"name": "string",
"metadata": {}
}
Bad request.
Unauthorized.
Channel not found.
Unprocessable entity.
Unexpected server error.
- application/json
- Schema
- Example (auto)
Schema
stringstring<byte>
"string"
Authorization: http
name: bearerTokentype: httpscheme: bearerin: headerdescription: Authorization Header: `Authorization: Bearer <user_token>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://apis.<domain>/iot/channels/:chanId");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("Authorization", "Bearer <token>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());